Commit d84d154d authored by Sébastien Blin's avatar Sébastien Blin Committed by Adrien Béraud

packaging: update packaging for opensuse

Fix build for opensuse 15.1
Add build for opensuse 15.2 and tumbleweed

Change-Id: I561a6f48dc4674efd0a9e83a20bb238d476d29a6
parent 1bd6b7e3
......@@ -114,6 +114,8 @@ package-all: package-debian_9 \
package-fedora_32_i386 \
package-rhel_8 \
package-opensuse-leap_15.1 \
package-opensuse-leap_15.2 \
package-opensuse-tumbleweed \
package-gentoo
# Append the output of make-packaging-target to this Makefile
......
FROM opensuse/leap
FROM opensuse/leap:15.2
RUN zypper --non-interactive install dnf
RUN dnf clean all
RUN zypper --non-interactive lr
......@@ -12,6 +12,8 @@ RUN zypper --non-interactive up -y && \
zypper --non-interactive install -y libinput-devel && \
zypper --non-interactive install -y \
git \
gcc8 \
gcc8-c++ \
rpm-build \
tar \
make \
......@@ -78,6 +80,9 @@ RUN zypper --non-interactive up -y && \
libsndfile-devel \
evolution-devel
RUN update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 50
RUN update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 50
ADD scripts/build-package-opensuse-leap.sh /opt/build-package-opensuse-leap.sh
CMD /opt/build-package-opensuse-leap.sh
FROM opensuse/leap:15.2
RUN zypper --non-interactive install dnf
RUN dnf clean all
RUN zypper --non-interactive lr
RUN zypper --non-interactive --gpg-auto-import-keys refresh
RUN zypper --non-interactive lr
RUN zypper --non-interactive install -y dnf-command\(builddep\) rpmdevtools
RUN zypper --non-interactive clean
RUN zypper --non-interactive up -y && \
zypper --non-interactive install -y Mesa-dri-devel Mesa-dri && \
zypper --non-interactive install -y libinput-devel && \
zypper --non-interactive install -y \
git \
gcc8 \
gcc8-c++ \
rpm-build \
tar \
make \
autoconf \
automake \
cmake \
nasm \
speexdsp-devel \
libpulse-devel \
libcanberra-devel \
libcurl-devel \
libtool \
libQt5DBus-devel \
pcre-devel \
yaml-cpp-devel \
boost-devel \
libdbus-c++-devel \
libQt5DBus-devel \
libXext-devel \
libXfixes-devel \
yasm \
speex-devel \
libgsm-devel \
chrpath \
check \
astyle \
uuid-devel \
gettext-devel \
gcc-c++ \
which \
alsa-lib-devel \
systemd-devel \
libuuid-devel \
uuid-devel \
gnutls-devel \
libopus-devel \
patch \
jsoncpp-devel \
webkit2gtk3-devel \
libcryptopp-devel \
libva-devel \
libvdpau-devel \
msgpack-devel \
clutter-devel \
openssl-devel \
clutter-gtk-devel \
libnma-devel \
libcryptopp-devel \
libdbus-c++-devel \
libQt5DBus-devel \
libexpat-devel \
gnome-icon-theme-symbolic \
libgsm-devel \
gtk3-devel \
libappindicator-devel \
sqlite-devel \
libQt5Sql-devel \
libQt5Gui-devel \
ffmpeg-4-libavutil-devel \
gtk3-devel\
qrencode-devel \
python3-python-dateutil \
libqt5-linguist-devel \
libsndfile-devel \
evolution-devel
RUN update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 50
RUN update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 50
ADD scripts/build-package-opensuse-leap.sh /opt/build-package-opensuse-leap.sh
CMD /opt/build-package-opensuse-leap.sh
FROM opensuse/tumbleweed
RUN zypper --non-interactive install dnf
RUN dnf clean all
RUN zypper --non-interactive lr
RUN zypper --non-interactive --gpg-auto-import-keys refresh
RUN zypper --non-interactive lr
RUN zypper --non-interactive install -y dnf-command\(builddep\) rpmdevtools
RUN zypper --non-interactive clean
RUN zypper --non-interactive up -y && \
zypper --non-interactive install -y Mesa-dri-devel Mesa-dri && \
zypper --non-interactive install -y libinput-devel && \
zypper --non-interactive install -y \
git \
rpm-build \
tar \
make \
autoconf \
automake \
cmake \
nasm \
speexdsp-devel \
libpulse-devel \
libcanberra-devel \
libcurl-devel \
libtool \
libQt5DBus-devel \
pcre-devel \
yaml-cpp-devel \
boost-devel \
libdbus-c++-devel \
libQt5DBus-devel \
libXext-devel \
libXfixes-devel \
yasm \
speex-devel \
libgsm-devel \
chrpath \
check \
astyle \
uuid-devel \
gettext-devel \
gcc-c++ \
which \
alsa-lib-devel \
systemd-devel \
libuuid-devel \
uuid-devel \
gnutls-devel \
libopus-devel \
patch \
jsoncpp-devel \
webkit2gtk3-devel \
libcryptopp-devel \
libva-devel \
libvdpau-devel \
msgpack-devel \
clutter-devel \
openssl-devel \
clutter-gtk-devel \
libnma-devel \
libcryptopp-devel \
libdbus-c++-devel \
libQt5DBus-devel \
libexpat-devel \
gnome-icon-theme-symbolic \
libgsm-devel \
gtk3-devel \
libappindicator-devel \
sqlite-devel \
libQt5Sql-devel \
libQt5Gui-devel \
ffmpeg-4-libavutil-devel \
gtk3-devel\
qrencode-devel \
python3-python-dateutil \
libqt5-linguist-devel \
libsndfile-devel \
evolution-devel
ADD scripts/build-package-opensuse-leap.sh /opt/build-package-opensuse-leap.sh
CMD /opt/build-package-opensuse-leap.sh
......@@ -370,6 +370,18 @@ def run_generate_all(parsed_args):
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged"
},
{
"distribution": "opensuse-leap_15.2",
"debian_packaging_override": "",
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged"
},
{
"distribution": "opensuse-tumbleweed",
"debian_packaging_override": "",
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged"
},
# Gentoo
{
"distribution": "gentoo",
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment